Subject: Re: [Sipping] Via Hiding and integrity in 3GPP

From: [email-masked]
Date: Fri, 12 Oct 2001 16:58:18 +0300

Hi James,

> Without having the authentication of the message tied to the content
> of the message, authentication credentials can be replayed (or a
> complex method such as time syncing is required). By separating
> intergrity and authorisation you complicate or weaken the security,
> complex security protocols are harder to trust, weak ones no better.
> Simplifying the security model so these are different building blocks
> makes it easier to satisfy the requirements, just doesn't cover the
> way I'd attack a 3G network ;-)

To state that authentication and integrity protection are separate is 
not quite accurate. In fact, the integrity protection mechanism (still 
under discussion in 3GPP) will be based on keys which are generated 
during authentication.

The authentication of users is based on the UMTS AKA authentication 
mechanism, which uses symmetric keys stored in a smart card like device 
(such as the SIM module in GSM phones). This key is used to produce 
credentials for the UA when it is challenged, and at the same time 
generate keys for integrity protection.

Cheers,
Aki

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Sun, 14 Oct 2001 11:38:37 +0100

It is probably worth saying that the 3GPP documentation for the
authentication and integrity protection requirements comes out of the main
3GPP security group (SA3) and is to be found in 33.203, which should be
available from the 3GPP website (latest drafts directory).

They are meeting this coming week, so it may be worth waiting a week or so
for the next version.

Keith
 
Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked]

> ----------
> From: 	James Undery[SMTP:[email-masked]]
> Sent: 	12 October 2001 14:00
> To: 	Miguel A. Garcia
> Cc: 	[email-masked]
> Subject: 	[Sipping] RE: Via Hiding and integrity in 3GPP
> 
> 
> 
> > -----Original Message-----
> > From: Miguel A. Garcia [mailto:[email-masked]]
> > James:
> >
> > I think you are mixing two different issues.
> >
> > 1) Via-hiding: this happens at the I-CSCF, and yes, it is mainly for
> >    commercial reasons.
> 
> Glad to hear it, so the only entity in the Path passed to the P-CSCF
> from the registration is the I-CSCF which then stores it's own info
> about the S-CSCF to use internally. I-CSCF also creates integrity
> info. This is pushing a lot of state that should be in the S-CSCF.
> 
> > 2) Via-stripping: this happens at the P-CSCF and has nothing to do
> >    with commercial reasons, but with efficient transport of
> > signalling.
> 
> This occurs at the P-CSCF closest to the UAS (recipient of a request),
> removing vias from messages will mean it is harder to authenticate the
> Home network to the UA (i.e. the UA doesn't trust the P-CSCF just the
> home network).
> 
> >
> > As far as I know, there is not agreement on how integrity
> > protection is
> > going to be handle in 3GPP networks. There are proposals to
> > integrity
> > protect all the SIP messages and bodies between the P-CSCF and the
> > terminal, and run IP sec betwen the P-CSCF and the rest of
> > the network.
> > The integrity protection will not apply to the first ever message.
> 
> Without integrity checking in the first message, this is open to
> passive replay with modification attacks.
> 
> My concern about having the integrity checking between the UA and
> P-CSCF, then between the P-CSCF and the home network, is also how to
> protect against replay of credentials (i.e. how the UA authenticates
> itself to the P-CSCF in a way that the P-CSCF can pass onto the home
> network in a secure manner that the home network can trust.)
> 
> James
> 
>